/*
 * MAX7219制御ライブラリー
 * 
 * Copyright (C) 2019 Picosoft Co., Ltd.
 */
#ifndef MAX7219_H
#define	MAX7219_H

#ifdef	__cplusplus
extern "C" {
#endif

    #include <stdbool.h>

    // 初期化します。
    void max7219Init();
    
    // テストモード(false:ノーマル、true:テスト)を設定します。
    void setDisplayTest(bool mode);
    
    // デコードモード(0xff:デコード、0:ビット指定)を設定します。    
    void setDecode(int mode);
    
    // 輝度(0～15)を設定します。
    void setIntensity(int intensity);
    
    // 表示桁数(0～7で1桁～8桁)を設定します。
    void setScanLimit(int limit);
    
    // 表示をON/OFFします。
    void shutdown(bool sw);
    
    // コマンドを発行します。
    void max7219(int addr, int data);

#ifdef	__cplusplus
}
#endif

#endif	/* MAX7219_H */
